# Uses of Interface
org.opensaml.xmlsec.encryption.ConcatKDFParams

Packages that use ConcatKDFParams
Package
Description
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of ConcatKDFParams in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement ConcatKDFParams
Modifier and Type
Class
Description
`class`
`ConcatKDFParamsImpl`
Concrete implementation of `ConcatKDFParams`.
Methods in org.opensaml.xmlsec.encryption.impl that return ConcatKDFParams
Modifier and Type
Method
Description
`ConcatKDFParams`
ConcatKDFParamsBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`ConcatKDFParams`
ConcatKDFParamsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.